using Shared;

namespace Backend.Endpoints.Devlogs;

public class GetDevlogsEndpoint : IEndpoint
{
    private static readonly string Route = "/devlogs";
    private static readonly Devlog[] news = 
    [
        new Devlog()
        {
            Title = "0.70",
            Description = "This is description",
            UploadDate = DateOnly.FromDateTime(DateTime.Now),
            Type = DevlogType.Major
        },
        new Devlog()
        {
            Title = "Progress report",
            Description = "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Pretium fusce id velit ut tortor. Sit amet nisl suscipit adipiscing bibendum est ultricies integer. Amet porttitor eget dolor morbi non arcu. Tristique et egestas quis ipsum suspendisse. Nec ullamcorper sit amet risus nullam eget felis. Nunc aliquet bibendum enim facilisis gravida neque convallis. Fermentum iaculis eu non diam. Urna cursus eget nunc scelerisque viverra mauris in aliquam. Accumsan in nisl nisi scelerisque eu ultrices. Non consectetur a erat nam at lectus. Penatibus et magnis dis parturient montes nascetur ridiculus. Pellentesque sit amet porttitor eget. Vivamus arcu felis bibendum ut tristique et. Odio pellentesque diam volutpat commodo sed egestas egestas fringilla phasellus. Morbi tincidunt ornare massa eget egestas purus viverra. Cum sociis natoque penatibus et magnis dis parturient montes. Eu ultrices vitae auctor eu augue ut lectus. Felis eget velit aliquet sagittis id consectetur purus ut faucibus. Amet consectetur adipiscing elit pellentesque habitant morbi.\n\nSit amet nisl suscipit adipiscing bibendum. Mi tempus imperdiet nulla malesuada pellentesque elit. Purus in massa tempor nec. Praesent tristique magna sit amet. Non pulvinar neque laoreet suspendisse interdum consectetur libero id faucibus. Tincidunt lobortis feugiat vivamus at. Enim diam vulputate ut pharetra sit. Amet aliquam id diam maecenas ultricies mi eget mauris. Magna ac placerat vestibulum lectus mauris ultrices eros in cursus. Ac turpis egestas sed tempus urna et pharetra. Commodo nulla facilisi nullam vehicula ipsum a arcu. Enim tortor at auctor urna nunc id cursus metus aliquam. Tellus integer feugiat scelerisque varius. Curabitur gravida arcu ac tortor dignissim. Mauris commodo quis imperdiet massa tincidunt nunc pulvinar sapien. Pellentesque id nibh tortor id aliquet lectus.\n\nUt tristique et egestas quis. In egestas erat imperdiet sed euismod nisi porta. Pharetra pharetra massa massa ultricies mi quis hendrerit. Consequat interdum varius sit amet mattis vulputate enim. Eleifend donec pretium vulputate sapien nec sagittis aliquam. Neque vitae tempus quam pellentesque nec nam aliquam sem et. Risus nullam eget felis eget nunc. Dictum non consectetur a erat nam at lectus. Duis ut diam quam nulla porttitor massa id neque aliquam. Maecenas accumsan lacus vel facilisis volutpat est velit. Ac turpis egestas maecenas pharetra convallis.\n\nNibh tellus molestie nunc non blandit massa enim. Elementum integer enim neque volutpat ac tincidunt vitae semper. Condimentum mattis pellentesque id nibh tortor id aliquet lectus proin. Amet justo donec enim diam vulputate ut pharetra. Amet dictum sit amet justo donec enim. Mi bibendum neque egestas congue quisque egestas diam in arcu. Cras ornare arcu dui vivamus arcu felis bibendum ut tristique. Quam lacus suspendisse faucibus interdum posuere lorem. Commodo nulla facilisi nullam vehicula ipsum a arcu. Facilisis sed odio morbi quis commodo. Nibh nisl condimentum id venenatis a condimentum vitae sapien. Fringilla ut morbi tincidunt augue interdum. Cras ornare arcu dui vivamus arcu felis bibendum. At varius vel pharetra vel turpis nunc eget lorem dolor. Tincidunt eget nullam non nisi est sit amet facilisis magna. Erat pellentesque adipiscing commodo elit at imperdiet dui. Pulvinar etiam non quam lacus suspendisse faucibus interdum posuere. Amet dictum sit amet justo donec.\n\nPenatibus et magnis dis parturient montes nascetur ridiculus mus mauris. Pretium aenean pharetra magna ac placerat vestibulum lectus mauris ultrices. Id porta nibh venenatis cras. Diam donec adipiscing tristique risus nec. Diam phasellus vestibulum lorem sed risus ultricies tristique. Ipsum consequat nisl vel pretium lectus quam id. Tellus orci ac auctor augue. Habitant morbi tristique senectus et netus. Amet venenatis urna cursus eget. Nulla aliquet enim tortor at.\n\nMauris sit amet massa vitae tortor condimentum lacinia quis. Sit amet nulla facilisi morbi tempus. Morbi blandit cursus risus at ultrices. Vulputate mi sit amet mauris commodo. Nisl nisi scelerisque eu ultrices vitae. Vel pharetra vel turpis nunc eget. Odio morbi quis commodo odio. Quis risus sed vulputate odio. Purus faucibus ornare suspendisse sed nisi lacus sed viverra. Consequat nisl vel pretium lectus quam id. Non nisi est sit amet facilisis magna etiam tempor orci. Ac felis donec et odio pellentesque diam volutpat. Lorem ipsum dolor sit amet consectetur adipiscing elit pellentesque. Tristique senectus et netus et malesuada fames ac. Tellus orci ac auctor augue mauris augue neque gravida in.\n\nHac habitasse platea dictumst vestibulum rhoncus est pellentesque. Arcu dui vivamus arcu felis bibendum ut tristique et egestas. Vestibulum morbi blandit cursus risus at ultrices. Dignissim cras tincidunt lobortis feugiat. Nisi quis eleifend quam adipiscing vitae proin. Mattis aliquam faucibus purus in massa. Tincidunt id aliquet risus feugiat. Ultricies mi eget mauris pharetra. Consectetur libero id faucibus nisl tincidunt eget nullam. Dui accumsan sit amet nulla facilisi morbi. Est ultricies integer quis auctor.\n\nSodales ut eu sem integer vitae justo eget magna. Ultricies tristique nulla aliquet enim tortor at auctor urna nunc. Commodo sed egestas egestas fringilla. Nunc sed blandit libero volutpat sed cras ornare. Metus vulputate eu scelerisque felis imperdiet proin fermentum leo vel. Arcu bibendum at varius vel pharetra. Neque gravida in fermentum et. Maecenas pharetra convallis posuere morbi leo urna molestie at. Turpis massa sed elementum tempus egestas sed sed risus pretium. Risus sed vulputate odio ut enim blandit volutpat maecenas. Semper risus in hendrerit gravida rutrum quisque.\n\nNec feugiat nisl pretium fusce id velit ut. Vulputate ut pharetra sit amet aliquam id. Sed ullamcorper morbi tincidunt ornare. Vitae purus faucibus ornare suspendisse sed. Et netus et malesuada fames ac turpis egestas. Nunc sed augue lacus viverra. Bibendum at varius vel pharetra. Mattis nunc sed blandit libero volutpat. Rhoncus urna neque viverra justo nec ultrices dui. Viverra vitae congue eu consequat ac. Et ultrices neque ornare aenean euismod. Auctor urna nunc id cursus metus aliquam eleifend. Cursus risus at ultrices mi tempus imperdiet nulla malesuada pellentesque. Pulvinar elementum integer enim neque volutpat ac. Faucibus pulvinar elementum integer enim. Accumsan tortor posuere ac ut consequat. Suspendisse in est ante in nibh mauris cursus mattis molestie. Eget velit aliquet sagittis id consectetur purus ut faucibus pulvinar. Tristique nulla aliquet enim tortor at auctor.\n\nLaoreet non curabitur gravida arcu ac tortor dignissim convallis. Consectetur adipiscing elit ut aliquam purus sit amet. Sed faucibus turpis in eu mi. Non arcu risus quis varius quam quisque id diam vel. Malesuada pellentesque elit eget gravida cum. Diam sollicitudin tempor id eu nisl nunc mi ipsum. Et molestie ac feugiat sed. Amet risus nullam eget felis eget nunc lobortis mattis. Nullam vehicula ipsum a arcu cursus vitae congue. Ut aliquam purus sit amet luctus. Sagittis aliquam malesuada bibendum arcu vitae elementum. Ornare suspendisse sed nisi lacus sed viverra. Ipsum dolor sit amet consectetur adipiscing elit duis. Neque laoreet suspendisse interdum consectetur libero. Sagittis id consectetur purus ut faucibus.",
            UploadDate = DateOnly.FromDateTime(DateTime.Now),
            Type = DevlogType.Important
        },
        new Devlog()
        {
            Title = "0.70.1",
            Description = "<div>This is description</div>\n <img class=\"w-100\" src=\"https://cdn.photographylife.com/wp-content/uploads/2014/09/Nikon-D750-Image-Samples-2.jpg\"/>",
            UploadDate = DateOnly.FromDateTime(DateTime.Now),
            Type = DevlogType.Minor
        }
    ];
    
    public static RouteHandlerBuilder Define(IEndpointRouteBuilder app)
    {
       return app.MapGet(Route, Execute);
    }

    private static Devlog[] Execute()
    {
        return news;
    }
}